Bug 10808 - RightAlt not correctly set to ModeShift (set to Meta instead)
Summary: RightAlt not correctly set to ModeShift (set to Meta instead)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-14 02:41 UTC by alfred hochwarder
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 18:44:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description alfred hochwarder 2000-04-14 02:41:54 UTC
In the standard XF86Config file, the following text appears:

    #To set the LeftAlt to Meta, RightAlt key to ModeShift,
    #RightCtl key to Compose, and ScrollLock key to ModeLock:

    LeftAlt        Meta
    RightAlt       Meta
   ScrollLock      Compose
   RightCtl        Control

Instead, I believe it should have
    RightAlt       ModeShift (as in the comment)

This causes problems with my Portuguese keyboard (cannot type @#'{[]} etc.)

Comment 1 Trond Eivind Glomsrxd 2000-07-12 15:22:53 UTC
Are you sure? The above works with my Norwegian keyboard, which also uses the
right alt (altgr) to type those characters.

Comment 2 Trond Eivind Glomsrxd 2000-08-08 18:44:20 UTC
Is this still a problem? Can you try running Xconfigurator and see if this is a
problem? It works with Norwegian and German keyboards right now, which also have
AltGr keys...

Comment 3 Trond Eivind Glomsrxd 2000-08-15 20:54:41 UTC
Tested with German and Norwegian keyboard - this works for pinstripe+.


Note You need to log in before you can comment on or make changes to this bug.